aboutsummaryrefslogtreecommitdiffstats
path: root/contrib/getfetchmail
diff options
context:
space:
mode:
authorRob Funk <rfunk@funknet.net>2004-06-08 03:59:01 +0000
committerRob Funk <rfunk@funknet.net>2004-06-08 03:59:01 +0000
commitd78b61e3efaea197a6e5b2b72bf2981a9ed69461 (patch)
tree1704e13ce5d767d59868a2d5e834cb2e988ed90f /contrib/getfetchmail
parentd9e84e176fe538e110d9612f9832d69846e8d3e7 (diff)
downloadfetchmail-d78b61e3efaea197a6e5b2b72bf2981a9ed69461.tar.gz
fetchmail-d78b61e3efaea197a6e5b2b72bf2981a9ed69461.tar.bz2
fetchmail-d78b61e3efaea197a6e5b2b72bf2981a9ed69461.zip
Add files from ESR's dev directory that weren't under version control
svn path=/trunk/; revision=3881
Diffstat (limited to 'contrib/getfetchmail')
-rw-r--r--contrib/getfetchmail31
1 files changed, 31 insertions, 0 deletions
diff --git a/contrib/getfetchmail b/contrib/getfetchmail
new file mode 100644
index 00000000..bcac9d3e
--- /dev/null
+++ b/contrib/getfetchmail
@@ -0,0 +1,31 @@
+#!/bin/bash
+RH=ftp.ccil.org
+p=`\
+echo dir /pub/esr/fetchmail/f\*src.rpm \
+ | ftp $RH \
+ | grep /pub/esr/fetchmail/fetchmail-[45] \
+ | tail -1`
+#p='-rw-r--r-- 1 23 wheel 478424 Dec 18 03:54 /pub/esr/fetchmail/fetchmail-4.7.1-1.src.rpm'
+#echo $p | sed -e "s=^.^/pub=pub="
+p1=`echo $p | sed -e "s=^.*/pub=pub="`
+#echo $p1
+#basename $p1
+#dirname $p1
+d=`dirname $p1`
+f=`basename $p1`
+cd /work/incoming
+email=$LOGNAME\@`hostname`
+ftp -n <<ZZ
+open $RH
+user anonymous $email
+cd /$d
+get $f
+bye
+ZZ
+rpm -K $f >/dev/null 2>&1 \
+ || {
+ rpm -K $f 2>&1 | mail $email -s "error getting $f"
+ exit
+ }
+rpm --rebuild $f 2>&1 |\
+ mail $email -s "Rebuilding $f"